<template>
  <div class="b-filter">
    <!-- BEGIN block ad type -->
    <div class="b-filter__option">
      <el-radio-group
              class="b-ad-type"
              size="large"
              :value="adType"
              @input="changeAdType">
        <el-radio-button class="b-ad-type__button" label="buy">Купить</el-radio-button>
        <el-radio-button class="b-ad-type__button" label="rent">Снять</el-radio-button>
      </el-radio-group>
    </div>
    <!-- END block ad type -->

    <!-- BEGIN block realty type -->
    <div class="b-filter__option b-option">
      <label class="b-option__label">Тип недвижимости</label>
      <el-select
              class="b-option__input"
              size="large"
              :value="realtyType"
              @input="changeRealtyType">
        <el-option v-for="realty in realtyTypes" :label="$t('realty.' + realty)" :value="realty"></el-option>
      </el-select>
    </div>
    <!-- END block realty type -->

    <!-- BEGIN block settlements -->
    <div class="b-filter__option b-option">
      <label class="b-option__label">Населенный пункт</label>
      <el-select
              class="b-option__input"
              v-if="settlements"
              size="large"
              placeholder="Выбрать"
              no-match-text="Не найдено"
              no-data-text="Не найдено"
              :value="settlementId"
              @input="changeSettlement">
        <el-option v-for="settlement in settlements" :label="settlement.meName" :value="settlement.id"></el-option>
      </el-select>
    </div>
    <!-- END block settlements -->
  </div>
</template>

<style lang="stylus" scoped>

  .b-filter
    &__option
      width 100%
      margin-bottom 20px
      text-align center

  .b-option
    width 100%

    &__label
      width inherit
      display inline-block
      margin-bottom 10px
      text-align left

    &__input
      width inherit
</style>

<script>
  import { mapState, mapActions } from 'vuex';

  export default {
    name: 'filter-ads',
    data () {
      return {
        adType: 'buy',
        realtyType: 'flat',
        settlementId: []
      };
    },
    computed: {
      ...mapState('home', [
        'realtyTypes',
        'settlements',
        'loading'
      ])
    },
    methods: {
      ...mapActions('home', [
        'getAds',
        'setFilter'
      ]),
      changeAdType (type) {
        this.adType = type;
        this.setFilter({ type });
      },
      changeRealtyType (realty) {
        this.realtyType = realty;
        this.setFilter({ realty });
      },
      changeSettlement (settlementId) {
        this.settlementId = settlementId;
        this.setFilter({ settlementId });
      }
    }
  };
</script>
